Subject: Re: bug#59841: 29.0.50; 'before-string' text property doesn't work

From: Eli Zaretskii <[email-masked]>
Date: Wed, 07 Dec 2022 20:08:56 +0200

> From: Akib Azmain Turja <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 07 Dec 2022 21:38:53 +0600
> 
> >> If that code is incorrect, the 'Display Margins' node of Emacs Lisp
> >> manual is also wrong.  On the fourth paragraph, it says, "put a
> >> ‘before-string’ property on the text".
> >
> > When did you last read the text of that node? ;-)
> 
> Now.
> 
> --8<---------------cut here---------------start------------->8---
>    To display something in the margin _in association with_ certain
> buffer text, without altering or preventing the display of that text,
> put a ‘before-string’ property on the text and put the margin display
> specification on the contents of the before-string.
> --8<---------------cut here---------------end--------------->8---

Your files are outdated.  This was changed on both development
branches.